# SAXParser Class Reference
[XML Parsing]

`#include <saxparser.h>`

List of all members.

## Detailed Description

Wraps XML SAX parsers (Expat and LibXML are supported at the moment, decided at compile-time.

DTD validation is supported with LibXML.)

One must provide a SAXHandler for this class to be useful.

## Public Member Functions

| SAXParser ()
void | setHandler (SAXHandler *sh)
bool | parse (const char *filename)
int | getCurrentLineNumber ()
const char * | getErrorMessage ()

## Protected Attributes

char | errortext [512]
SAXHandler * | saxhandler
void * | currentparser

## Constructor & Destructor Documentation

SAXParser::SAXParser | ( |  | ) |

| Constructor.

## Member Function Documentation

int SAXParser::getCurrentLineNumber | ( |  | ) |

| Returns the current line number in the input. Can be called from SAX handler code.

const char* SAXParser::getErrorMessage | ( |  | ) | `[inline]`

| Can be called after parse() returned false. Returns the error description.

bool SAXParser::parse | ( | const char * | filename | ) |

| Parse XML input read from the given file. Methods of the SAX handler will be called as the parser processes the file. Returns false if there was an error; in that case use getErrorMessage() to learn the cause of the error.

void SAXParser::setHandler | ( | SAXHandler * | sh | ) |

| Install a SAX handler into the parser.

## Member Data Documentation

void* SAXParser::currentparser `[protected]`

char SAXParser::errortext[512]`[protected]`

SAXHandler* SAXParser::saxhandler `[protected]`

The documentation for this class was generated from the following file:

- saxparser.h